Subject: RE: On draft-ietf-pppext-posvcholo-04.txt

From: Heiles Juergen <[email-masked]>
Date: Mon, 24 Sep 2001 11:11:03 +0200

Nevin,

it is a little bit strange for me to have the mapping defined in ITU (G.707), but not in the IETF.

Regards

Juergen

> -----Original Message-----
> From: Jones, Nevin R (Nevin) [mailto:[email-masked]]
> Sent: Friday, September 21, 2001 6:40 PM
> To: 'R. Muralidharan'; [email-masked]; 'Heiles Juergen'
> Cc: 'chris murton'; 'Thomas Narten'; Jones, Nevin R (Nevin)
> Subject: RE: On draft-ietf-pppext-posvcholo-04.txt
> 
> 
> Jeurgen:
> 
> 
> Please forgive the tardiness of this reply. I had mistakenly 
> thought that
> either I or Chris Murton had issued a reply.
> 
> Note, we are aware that virtual concatenation as 
> standardized, supports both
> low order and high order SPEs/VCs. To be sure,
> our draft-ietf-pppext-posvcholo-01.txt did originally refer to
> VT-1.5/VC-11/VC-12/VC-2  SPEs/VCs as potential candidates for this
> application. 
> We would therefore in principle agree with your comments . 
> 
> However when our draft-ietf-pppext-posvcholo-01.txt was 
> originally discussed
> on the mailing list, the consensus was that it should only 
> cover STS-1/VC-3
> and above. 
> 
> The main reason being that ML-PPP was already defined for 
> interoperability
> over DS1/E1 rates. A secondary reason was that today RFC 2615 
> (POS) covers
> STS-3c/VC-4 
> and above traffic levels. 
> 
> Given the above mailing list reaction, VT-1.5/VC-12 level traffic was
> excluded from the document.
> 
> I hope that this answer addresses your concerns.
> 
> Regards,
> 
> 
> Nevin R. Jones
> 
> Agere Systems 
> Broadband IC System Architecture
> Rm 7E-321
> 600 Mountain Avenue 
> Murray Hill, NJ
> 07974
> Ph: 908-582-5343
> Fax: 908-582-4185
> [email-masked]
> 
> > ----------
> > From: 	Heiles Juergen[SMTP:[email-masked]]
> > Sent: 	Wednesday, August 01, 2001 4:53 AM
> > To: 	'R. Muralidharan'; [email-masked]
> > Subject: 	AW: On draft-ietf-pppext-posvcholo-04.txt
> > 
> > Muralidharan,
> > 
> > I agree with you that section 3 is not clear. It mentions 
> only VC-3 and
> > VC-4. VC-11/12/2 are missing.
> > POS ca nbe used also via these signals with and without virtual
> > concatenation. For VC-11/12/2 the signal lable field in the 
> VT overhead
> > byte (bits 5 to 7) and the extended signal label in the K4 
> overhead byte
> > (bit 1 wtih a multi frame) str relevant. The signal label 
> field shall have
> > the code "101" (escape code to extended signal label field) and the
> > extended signal label field shall have the code OAhex (HDLC/PPP).
> > For virtual concatenation in addition bit 2 of the K4 
> overhead byte is
> > relevant as a multi frame counter and communication channel 
> for LCAS.
> > The signal lable with and without virtual cocnatenation is the same.
> > 
> > Section 2 should also include some examples for VC-11/12/2 
> (e.g. 10 Mbit/s
> > transport).
> > 
> > Regards
> > 
> > Juergen
> > 
> > 
> > > -----Ursprüngliche Nachricht-----
> > > Von: R. Muralidharan [mailto:[email-masked]]
> > > Gesendet: Mittwoch, 25. Juli 2001 14:24
> > > An: [email-masked]
> > > Betreff: On draft-ietf-pppext-posvcholo-04.txt
> > > 
> > > 
> > > Hi All,
> > > 
> > >     the Fourth version of the draft states that "lower levels 
> > > of VC are
> > > defined in the telecommunications standards for use if 
> > > needed". In view of
> > > this, it is suggested that the following be considered:
> > > Section 3 be modified to include the following info for lower 
> > > order VC.
> > > For higher order VC, SONET POH bytes C2 and H4 are used and 
> > > for Low order
> > > VC, the POH byte C2 and VT overhead byte V5 are used.
> > > 
> > > Further, when an STS-1 carries VT traffic containing POS 
> > > which is virtually
> > > concatenated,  is there special symbol for the C2 byte 
> defined? This
> > > condition occurs when one tries to map 10Mbps Ethernet 
> > > traffic onto 7 VT1.5s
> > > in low order VC mode.
> > > 
> > > Thanks in advance
> > > regards,
> > > Muralidharan
> > > 
> > > ----- Original Message -----
> > > From: <[email-masked]>
> > > To: <IETF-Announce:>
> > > Cc: <[email-masked]>
> > > Sent: Tuesday, July 24, 2001 4:02 PM
> > > Subject: I-D ACTION:draft-ietf-pppext-posvcholo-04.txt
> > > 
> > > 
> > > > A New Internet-Draft is available from the on-line 
> Internet-Drafts
> > > directories.
> > > > This draft is a work item of the Point-to-Point 
> Protocol Extensions
> > > Working Group of the IETF.
> > > >
> > > > Title : Extending PPP over SONET/SDH, with virtual
> > > >                           concatenation, high order and low 
> > > order payloads
> > > > Author(s) : N. Jones, C. Murton
> > > > Filename : draft-ietf-pppext-posvcholo-04.txt
> > > > Pages : 8
> > > > Date : 23-Jul-01
> > > >
> > > > The RFC 1661 Point-to-Point Protocol (PPP) [1] provides 
> a standard
> > > > method for transporting multi-protocol datagrams over 
> point-to-point
> > > > links. The RFC 1662 PPP in HDLC-like Framing [2] and 
> RFC 2615 PPP
> > > > over SONET/SDH (POS) [3] documents describe the use of PPP over
> > > > Synchronous Optical Network (SONET) and Synchronous Digital
> > > > Hierarchy (SDH) circuits.
> > > 
> > > 
> > > 
> > > _________________________________________________________
> > > Do You Yahoo!?
> > > Get your free @yahoo.com address at http://mail.yahoo.com
> > > 
> > 
>

---

From: "R. Muralidharan" <[email-masked]>
Date: Mon, 24 Sep 2001 17:49:22 +0530

Hi All,

    Thanks for the clarification by Nevin. May I once more request that the
following be considered:
Since the intent, as I understand of this draft RFC, is to extend PPP
transport using global VC standards, it would be a nice to include the low
order VC as well with the appropriate details.

Thanks and regards,
Muralidharan

----- Original Message -----
From: "Jones, Nevin R (Nevin)" <[email-masked]>
To: "'R. Muralidharan'" <[email-masked]>; <[email-masked]>;
"'Heiles Juergen'" <[email-masked]>
Cc: "'chris murton'" <[email-masked]>; "'Thomas Narten'"
<[email-masked]>; "Jones, Nevin R (Nevin)" <[email-masked]>
Sent: Friday, September 21, 2001 10:09 PM
Subject: RE: On draft-ietf-pppext-posvcholo-04.txt

Jeurgen:

Please forgive the tardiness of this reply. I had mistakenly thought that
either I or Chris Murton had issued a reply.

Note, we are aware that virtual concatenation as standardized, supports both
low order and high order SPEs/VCs. To be sure,
our draft-ietf-pppext-posvcholo-01.txt did originally refer to
VT-1.5/VC-11/VC-12/VC-2  SPEs/VCs as potential candidates forthis
application.
We would therefore in principle agree with your comments .

However when our draft-ietf-pppext-posvcholo-01.txt was originally discussed
on the mailing list, the consensus was that it should only cover STS-1/VC-3
and above.

The main reason being that ML-PPP was already defined for interoperability
over DS1/E1 rates. A secondary reason was that today RFC 2615 (POS) covers
STS-3c/VC-4
and above traffic levels.

Regards,

Nevin R. Jones

Agere Systems

> I agree with you that section 3 is not clear. It mentions only VC-3 and
> concatenation. For VC-11/12/2 the signal lable field in the VT overhead
> byte (bits 5 to 7) and the extended signal label in the K4 overhead byte
> (bit 1 wtih a multi frame) str relevant. The signal label field shall have
> For virtual concatenation in addition bit 2 of the K4 overhead byte is
> relevant as a multi frame counter and communication channel for LCAS.
> Section 2 should also include some examples for VC-11/12/2 (e.g. 10 Mbit/s
> transport).
>
> Regards
>
> Juergen
>
>
> > concatenated,  is there special symbol for the C2 byte defined? This